/*FOSC = 12MHz
CCLK = 60MHz
PCLK = 15MHz*/
// example code for 25LC040 - 4K SPI Bus Serial EEPROM

#include"BSP.h"

unsigned char intro[] = " ARM7 - LPC2138 ";
unsigned char name[] = "-----LCD SPI----";

// ----------- start of main function
int main(void)
{
	int i;
	unsigned char tt;
	LCD_PORT_Config();
	LCD_INIT();						 	// INIT routine
//	POSITION_CURSOR(1,1);				// position cursor to 1 row, 1 column
//	LCD_OUT_TXT(intro);		// write text
//	POSITION_CURSOR(2,1);				// position cursor to 2 row, 1 column
//	LCD_OUT_TXT(name);	// write another text
//	Delay_ms(5);
//	LCD_CMD(0x01);

	SPI0_Config();
	SPI0_INIT();//Master mode
	tt = Status_Reg(1, 0);	
	Write_Enable(1); // enable write
	Read_Write_Command(0x000, 0); // write command with starting address as 0x000
	Write_String_25LC040(intro);
	Delay_ms(5);
	POSITION_CURSOR(1,1);
	Read_Write_Command(0x000, 1); // read operation
	for(i=0;i<16;i++)
	{
		tt = Read_25LC040();
	    LCD_OUT_CH(tt);
	}


	while(1);
	
}

