#ifndef __BSP_H_
#define __BSP_H_

#include<lpc213x.h>
#include<stdio.h>

#include"16x02_4bit.h"
//#include"RTC.h"
#include"SPI.h"
#include"25LC040.h"

#define	GPIO_Config PINSEL0 
#define	SSP_SPI_Config PINSEL0

/// ---------->> LCD configuration
#define LCD_DATA_DIR IO0DIR
#define LCD_DATA_SET IO0SET
#define LCD_DATA_CLR IO0CLR

#define LCD_CTRL_DIR IO0DIR
#define LCD_CTRL_SET IO0SET
#define LCD_CTRL_CLR IO0CLR

#define LCDRS (1<<10)
#define LCDEN (1<<11)

#define LCD_D4 (1<<12)
#define LCD_D5 (1<<13)
#define LCD_D6 (1<<14)
#define LCD_D7 (1<<15)

#define LCD_DATA_MASK (LCD_D4 | LCD_D5 | LCD_D6 | LCD_D7)
//#define LCD_CONTROL_MASK 0x000003F0

/// ---------->> SPI/93c46 configuration
#define SSEL (1<<7)
#define SCK  (1<<4)
#define MOSI (1<<6)
#define MISO (1<<5)

/// ---------->> Delay routine
#define Delay_ms(t) {int i,j; for(i=0;i<t;i++) for(j=0;j<10000;j++);}


#endif
